Package: org.codehaus.groovy.control.io

## [Java] Class NullWriter

- org.codehaus.groovy.control.io.NullWriter

- An Writer than eats its input.

  Authors:
    Chris Poirier

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static NullWriter` | `DEFAULT` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `close()`
    `` | `void` | `flush()`
    `` | `void` | `write(char[] cbuf, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Writer` | `append, append, append, append, append, append, flush, write, write, write, write, write, close, nullWriter, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final NullWriter DEFAULT

  - ### Method Detail

    - #### public void close()

    - #### public void flush()

    - #### public void write(char[] cbuf, int off, int len)